/* RadioRecorder */

#import <Cocoa/Cocoa.h>
#import "Recording.h"

@interface RadioRecorder : NSObject
{
    IBOutlet NSComboBox *ampm;
    IBOutlet NSButton *dailyButton;
    IBOutlet NSButton *deleteButton;
    IBOutlet NSButton *friButton;
    IBOutlet NSComboBox *hourDuration;
    IBOutlet NSComboBox *hourTime;
    IBOutlet NSTextView *log;
    IBOutlet NSComboBox *minuteDuration;
    IBOutlet NSComboBox *minuteTime;
    IBOutlet NSButton *monButton;
    IBOutlet NSButton *newButton;
    IBOutlet NSButton *nowButton;
    IBOutlet NSButton *onceButton;
    IBOutlet NSTextField *playlistField;
    IBOutlet NSProgressIndicator *progress;
    IBOutlet NSComboBox *recordingChoice;
    IBOutlet NSButton *satButton;
    IBOutlet NSButton *saveButton;
    IBOutlet NSTextField *stationField;
    IBOutlet NSButton *stopButton;
    IBOutlet NSButton *sunButton;
    IBOutlet NSButton *thuButton;
    IBOutlet NSButton *tueButton;
    IBOutlet NSButton *wedButton;
    IBOutlet NSWindow *window;
	IBOutlet NSComboBox *recCount;
	IBOutlet NSButton *splitButton;
	IBOutlet NSComboBox *shoutLang;
	IBOutlet NSButton *reconnectButton;
	IBOutlet NSTextField *titleField;
	IBOutlet NSTextField *artistField;
	IBOutlet NSTextField *albumField;
	IBOutlet NSComboBox *genreChoice;
	IBOutlet NSButton *splitTitle;
	IBOutlet NSButton *keepPartial;
	IBOutlet NSTextField *shoutLangLabel;

	const CFStringEncoding *langList;
	NSMutableArray *recList;
	Recording *current;
	NSButton *days[7];
	int curIndex;
	NSString *saveName;
	
}
- (IBAction)dailyPressed:(id)sender;
- (IBAction)deletePressed:(id)sender;
- (IBAction)newPressed:(id)sender;
- (IBAction)nowPressed:(id)sender;
- (IBAction)clonePressed:(id)sender;
- (IBAction)adjustEnabled:(id)sender;
- (IBAction)recordingPicked:(id)sender;
- (IBAction)savePressed:(id)sender;
- (IBAction)stopPressed:(id)sender;
- (IBAction)weekdayPressed:(id)sender;
- (IBAction)revertPressed:(id)sender;
- (IBAction)displayHelp:(id)sender;

- (void)dealloc;
-(void)loadRecord: (int)idx;
-(void)newRecord;
-(void)clearDay: (int)day;
-(void)enableButtons;
-(void)storeRecList;
-(BOOL)saveRecord;
@end
extern RadioRecorder *recorder;
