//
//  Recording.h
//  RadioRecorder
//
//  Created by Oleg Kibirev on Sun Apr 25 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class RadioRecorder;

enum { CONN_TIMEOUT=5*60 };
enum { ICY_MAXHEADER = 4096 };

@interface Recording : NSObject<NSCoding> {
@public
	NSString *name, *url, *playList;
	NSString *customTitle, *customAlbum, *customArtist, *customGenre;
	NSMutableString *log;
	BOOL days[7];
	BOOL daily, once;
	BOOL inProgress;
	int startTime; // Minutes
	int duration; // Minutes
	int recCount;
	BOOL splitSongs;
	int shoutLang;
	BOOL reconnect;
	BOOL splitTitle;
	BOOL keepPartial;
@private	
	double percent;
	
	NSTextView *text;
	NSProgressIndicator *progress;
	
	NSTimer *timer;
	NSURLConnection *conn;
	
	NSString *filePath;
	NSString *saveName;
	NSFileHandle *file;
	NSCalendarDate *startDate;
	NSCalendarDate *nextDate;
	int dataSize, lastSize, icyMark;
	
	int icyInterval, icyLen;
	NSMutableData *icyData;
	NSString *icyLast;
	NSString *genre;
	NSString *title;
	NSString *fileExt;
	BOOL willResume;
	BOOL madeTitle;
	
}
+(void)initialize;
-(id)initWithName: (NSString *)n;
-(id)initWithRecording: (Recording *)obj name: (NSString *)n;
-(void)loadToUI: (RadioRecorder *)rec;
-(void)saveFromUI: (RadioRecorder *)rec;

-(void) attachLog: (NSTextView *)text progress: (NSProgressIndicator *)progress;
-(void) detach;
-(void) log: (NSString *)text;

-(void) deschedule;
-(void) schedule;
-(void) record: (NSTimer *)tim;
-(void) checkRecord: (NSTimer *)tim;
-(void) endRecord;
-(void) addToTunes;
-(void)closeFile: (BOOL)toDelete;
-(void) checkResume;
-(void) checkTime: (NSTimer *)tim;
-(NSComparisonResult) compareTo:(Recording *)otr;
@end
