//
//  UIValueManager.h
//  RadioRecorder
//
//  Created by Oleg Kibirev on Sat May 15 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//
// Use reflection API to automatically copy values between UI, object and archived state

#import <Foundation/Foundation.h>

enum { 
	UIVAL_NOTRIM=1, // Don't trim spaces
	UIVAL_TRANSIENT=4 // Don't serialize
};

typedef struct {
	const char *varName; // Instance variable
	const char *uiName; // UI control
	const char *defStr; // Default value for string controls
	double defNum; // Default value for numeric controls
	int flags;
} UIValInfo;


@interface UIValueManager : NSObject {
	size_t count;
	UIValInfo *info;
}

-(id)initWithValInfo: (UIValInfo *)info ofCount: (size_t) count;
-(void)initObject: (id)v; // Set default values
-(void)deallocObject: (id)v;
-(void)copyObject: (id)dst fromObject: (id)src; // Copy values
-(void)encodeObject: (id)obj withCoder: (NSCoder *)coder;
-(void)decodeObject: (id)obj withCoder: (NSCoder *)coder;
-(void)loadObject: (id)obj toUI:(id)ui;
-(void)saveUI: (id)ui toObject: (id)obj;


@end
